/**********************************************************
 *      KEYPAD DRIVER for 82C55 Digital I/O               *
 *      SW4057                                            *
 *      REV 1.00                                          *
 *      6/1/99                                            *
 *                                                        *
 *      (c)1999 Micro/sys, Inc.                           *
 *      Glendale, CA                                      *
 *                                                        *
 *      This file is the KBD8255 header file.             *
 **********************************************************/

/* FUNCTION PROTOTYPES */
void      KPDinit(int baseaddr);
int       KPDReadKey(void);
int       KPDGetKey(void);

/* offset from DIOBASE base address */
#define DIOPORTA        0
#define DIOPORTB        1
#define DIOPORTC        2
#define DIOCMD          3

/* 8255 port directions - These may have to be redefined */
/* depending upon the direction requirements of PORTC    */
#define AOUTBOUT        0x81    /* PORTA out, PORTB out, PORTCLOW in, PORTCHI out */ 
#define AOUTBIN         0x83    /* PORTA out, PORTB in, PORTCLOW in, PORTCHI out */ 
#define AINBOUT         0x91    /* PORTA in, PORTB out, PORTCLOW in, PORTCHI out */

/* I/O SIGNAL DELAY VALUES */
#define DELAY_VALUE      2      /* 110ms control signal delay */

#define HIGH           1
#define LOW            0
#define NOKEYHIT      -1
