/**********************************************************
 *      KPD8255 KEYPAD DRIVER                             *
 *      REV 1.00                                          *
 *      6/1/99                                            *
 *                                                        *
 *      (c)1996 Micro/sys, Inc.                           *
 *      Glendale, CA                                      *
 *                                                        *
 *      This file contains the routines used to access    *
 *      a keypad interfaced to an 82C55.                  *
 **********************************************************/
#include <stdio.h>
#include <conio.h>
#include <dos.h>
#include <time.h>
#include "KPD8255.h"

extern int DIOBASE;

/************************************************************
 *      int KPDGetKey()                                     *
 *                                                          *
 *      This routine waits until the keypad is hit and      *
 *      returns the position of the key that was hit.       *
 *      that is depressed. If the keypad is not hit, it     *
 *      it will wait for a keystroke.                       *
 *                                                          *
 *      Return Value:                                       *
 *      The lower byte contains the column (0x00-0x04).     *
 *      The upper byte contains the row (0x00-0x03).        *
 ************************************************************/
int KPDGetKey(void)
{
	int retval;

	do
	{
           retval = KPDReadKey();
	}

        while (retval <0);  /* wait until the keypad is hit */
           return(retval);
}

