/**********************************************************
 *      KPD8255 KEYPAD DRIVER                             *
 *      REV 1.00                                          *
 *      6/1/99                                            *
 *                                                        *
 *      (c)1996 Micro/sys, Inc.                           *
 *      Glendale, CA                                      *
 *                                                        *
 *      This file contains the routines used to access    *
 *      a keypad interfaced to an 82C55.                  *
 **********************************************************/
#include <stdio.h>
#include <conio.h>
#include <dos.h>
#include <time.h>
#include "KPD8255.h"

extern int DIOBASE;

/************************************************************
 *      int KPDReadKey(void)                                *
 *                                                          *
 *      This routine scans the keypad and returns the key   *
 *      that is depressed. It does NOT wait for a keypad    *
 *      press before returning.                             *
 *                                                          *
 *      Return Value:                                       *
 *      The lower byte contains the column (0x00-0x04).     *
 *      The upper byte contains the row (0x00-0x03).        *
 *      If no position is being depressed, the return       *
 *      value will be -1.                                   *
 ************************************************************/
int KPDReadKey(void)
{
unsigned char key;

	unsigned row, col;
	int rdrows, colval;

        outp(DIOBASE + DIOPORTA, 0xFF);  /* make all columns HIGH */
	for(col = 0; col <5; col++)
	{
           colval = ~(1<<col);          /* scan columns 1 - 5 */
           outp(DIOBASE + DIOPORTA, colval);

           rdrows = ((~inp(DIOBASE + DIOPORTB)) & 0x0F);  /* sample rows */

           for(row=0; row<4; row++)
           {
              if ((1<<row)&rdrows)
              {
                 return((row<<8)+col);
              }
           }
	}
        return(NOKEYHIT);
}
