/*************************************************************
 *      DEMOKPD.C                                            *
 *      6/1/99                                               *
 *                                                           *
 *      (c)1999 Micro/sys, Inc.                              *
 *      Glendale, CA                                         *
 *                                                           *
 *      This file contains routines that show how to use     * 
 *      the KPD8255 function calls to access keypad.         *
 *                                                           *
 *      The demo will initialize the 82C55 port that the     *
 *      keypad is interfaced to. All keyhits on the keypad   *
 *      will then be echoed to the terminal on COM1.         *
 *                                                           * 
 *      To compile this demo using a microsoft compiler:     *
 *        > cl  DEMOKPD.C  KPD8255S.LIB                      *
 *                                                           * 
 *************************************************************/
#include <stdio.h>
#include "KPD8255.h"


void main()
{
int ch, col, n, oldch, row;

        printf("82C55 to Keypad Interface Demo:\n");
        printf("Press any key on keypad to output row & column on COM1.\n");

        /* TO RUN ON ANOTHER MICRO/SYS SBC, EDIT ADDRESS OF DIGITAL I/O */
        KPDInit(0x204);                 /* SBC2486DX digital I/O */

        for(;;)
        {
           ch = KPDReadKey();           /* wait for a keystroke */
           row = ((ch & 0xFF00)>>8);    /* get ROW number */
           col = (ch & 0x00FF);         /* get COL number */

           if (ch != oldch)         
           {
              if(ch == NOKEYHIT)
                 ;
              else
                 printf("ROW %d COL %d\n", row, col);   /* echo to COM1 */
           }
           oldch = ch;
        }
}
