/**********************************************************
 *      LCD DRIVER for 82C55 Digital I/O                  *
 *      SW4057                                            *
 *      REV 1.00                                          *
 *      5/24/99                                           *
 *                                                        *
 *      (c)1999 Micro/sys, Inc.                           *
 *      Glendale, CA                                      *
 *                                                        *
 *      This file is the LCD8255 header file.             *
 **********************************************************/
/* USER FUNCTION PROTOTYPES */
void    LCDInit(int baseaddr);
int     LCDGetc(void);
int     LCDPutc(int c);
int     LCDPuts(char * str);
void    LCDSetCursor(int Xcoord, int Ycoord);
void    LCDGetCursor(int *Xpos, int *Ypos);
int     LCDGetxpos(void);
int     LCDGetypos(void);
void    LCDClearline(int line);
void    LCDScroll(void);
void    LCDInstallVideo(void);
void    LCDUninstallVideo(void);

/* INTERNAL FUNCTION PROTOTYPES */
void            delay_CONTROL(unsigned int tick_delay);
void            wait_for_LCD(void);
unsigned char   read_control_LCD(void);
void            write_control_LCD(unsigned char ch);
unsigned char   read_data_LCD(void);
void            write_data_LCD(unsigned char ch);
unsigned char   reverse_data(unsigned char ch);
void interrupt cdecl far int10_handler( unsigned _es, unsigned _ds,
		unsigned _di, unsigned _si, unsigned _bp, unsigned _sp,
		unsigned _bx, unsigned _dx, unsigned _cx, unsigned _ax,
		unsigned _ip, unsigned _cs, unsigned _flags);
void interrupt cdecl far int16_handler( unsigned _es, unsigned _ds,
		unsigned _di, unsigned _si, unsigned _bp, unsigned _sp,
		unsigned _bx, unsigned _dx, unsigned _cx, unsigned _ax,
		unsigned _ip, unsigned _cs, unsigned _flags);

/* offset from DIOBASE base address */
#define DIOPORTA        0
#define DIOPORTB        1
#define DIOPORTC        2
#define DIOCMD          3

/* 8255 port directions - These may have to be redefined */
/* depending upon the direction requirements of PORTC    */
#define PORTAIN         0x90    /* PORTA in, PORTB out, PORTC out */
#define PORTAOUT        0x80    /* PORTA out, PORTB out, PORTC out */ 

/* I/O SIGNAL DELAY VALUES */
#define DELAY_VALUE      2      /* 110ms control signal delay */

/* command register bit definitions in 8255 */
#define LCD_E           0x01    /* Port B, bit 0 */
#define LCDRD           0x02    /* Port B, bit 1 */
#define LCDDATA         0x04    /* Port B, bit 2 */
