/**********************************************************
 *      LCD DRIVER for 82C55 Digital I/O                  *
 *      SW4057                                            *
 *      REV 1.00                                          *
 *      5/24/99                                           *
 *                                                        *
 *      (c)1999 Micro/sys, Inc.                           *
 *      Glendale, CA                                      *
 *                                                        *
 *      This file contains the routines used to access    *
 *      an LCD display interfaced to an 82C55.            *
 **********************************************************/

#include <stdio.h>
#include <conio.h>
#include <dos.h>
#include <time.h>
#include "LCD8255.h"

int DIOBASE;

/************************************************************
 *      LCDInit(int baseaddr)                               *
 *                                                          *
 *      This function will initialize the LCD device to     *
 *      8-bit data mode, 2 lines, 5x10 dots per character.  *
 *      It also sets the base port address for the 82C55.   *
 *      This function must be called before any other       *
 *      function in this library.                           *
 ************************************************************/
void LCDInit(int baseaddr)
{
        DIOBASE = baseaddr;

        /* CONFIGURE PORTA (DATA) OF 8255 AS OUTPUTS, B (CNTRL) as OUTPUTS */
        outp(DIOBASE + DIOCMD, PORTAOUT);

	wait_for_LCD();
	write_control_LCD(0x38);      /* 8 data bits, 2 line, 5x10 dots */

        wait_for_LCD();
	write_control_LCD(0x0F);      /* DISPLAY ON, CURSOR ON, BLINK ON */

        wait_for_LCD();
	write_control_LCD(0x01);      /* CLEAR DISPLAY, RETURN HOME */
}

