/**********************************************************
 *      LCD DRIVER for 82C55 Digital I/O                  *
 *      SW4057                                            *
 *      REV 1.00                                          *
 *      5/24/99                                           *
 *                                                        *
 *      (c)1999 Micro/sys, Inc.                           *
 *      Glendale, CA                                      *
 *                                                        *
 *      This file contains the routines used to access    *
 *      an LCD display interfaced to an 82C55.            *
 **********************************************************/
#include <stdio.h>
#include <conio.h>
#include <dos.h>
#include <time.h>
#include "LCD8255.h"

/*******************************************************************
 *      LCDGetCursor()                                             *
 *                                                                 *
 *      This function will return the coordinates of the cursor.   *           
 *                                                                 *
 *      This routine cannot be called from within an ISR since     *
 *      DS may not be equal to SS.                                 *
 *******************************************************************/
void LCDGetCursor(int *Xpos, int *Ypos)
{
	unsigned char status;
	int retval;

	wait_for_LCD();
	status = read_control_LCD() & 0x7F;
	*Xpos = (status & 0x3F) +1;
	*Ypos = ((status & 0x40)>>6) + 1;
}

/********************************************************************
 *      LCDGetxpos()                                                *
 *                                                                  *
 *      This function will return the x-coordinate of the cursor.   *          
 ********************************************************************/
int LCDGetxpos(void)
{
	int Xpos, Ypos;
	getpos(&Xpos, &Ypos);
	return (Xpos);
}

/********************************************************************
 *      LCDGetypos()                                                 *
 *                                                                  *
 *      This function will return the y-coordinate of the cursor.   *          
 ********************************************************************/
int LCDGetypos(void)
{
	int Xpos, Ypos;
	getpos(&Xpos, &Ypos);
	return (Ypos);
}
