/**********************************************************
 *      LCD DRIVER for 82C55 Digital I/O                  *
 *      SW4057                                            *
 *      REV 1.00                                          *
 *      5/24/99                                           *
 *                                                        *
 *      (c)1999 Micro/sys, Inc.                           *
 *      Glendale, CA                                      *
 *                                                        *
 *      This file contains the routines used to access    *
 *      an LCD display interfaced to an 82C55.            *
 **********************************************************/
#include <stdio.h>
#include <conio.h>
#include <dos.h>
#include <time.h>
#include "LCD8255.h"

/****************************************************************
 *      LCDSetCursor()                                          *
 *                                                              *
 *      This function will set the coordinates of the cursor.   *
 *                                                              *
 *      Xcoord is between 1 and 40, Y is 1 or 2                 *
 ****************************************************************/
void LCDSetCursor(int Xcoord, int Ycoord)
{
	unsigned char status;
	int pos;

	if ((Xcoord >40)||(Xcoord<1)||(Ycoord>2)||(Ycoord<1))
		return;

	wait_for_LCD();

	pos = ((Ycoord - 1)<<6) + Xcoord - 1;

	write_control_LCD((int)pos | 0x80);
}

