/*************************************************************
 *      DEMOINT.C                                            *
 *      5/24/99                                              *
 *                                                           *
 *      (c)1999 Micro/sys, Inc.                              *
 *      Glendale, CA                                         *
 *                                                           *
 *      This file contains the routines used to show how     *
 *      to utilize the LCD8255 library to hook the video     *
 *      interrupt. Any subsequent calls to this interrupt    *
 *      will then be redirected to the LCD. Thus, the        *
 *      standard C library calls (e.g. printf, putch)        *
 *      can be used rather than the LCD-specific functions.  *
 *                                                           *
 *      The demo will initialize the LCD on the 8255.        *
 *      A sign-on message will appear on the LCD. All        *
 *      keyhits on the keyboard will then be echoed to       *
 *      the LCD unit.                                        *
 *                                                           *
 *      To compile this demo using a microsoft compiler:     *
 *        > cl DEMOINT.C LCD8255S.LIB                        *
 *                                                           *
 *                                                           *
 *************************************************************/
#include <stdio.h>
#include "LCD8255.h"


void main()
{
	int ch;

        /* TO RUN ON ANOTHER MICRO/SYS SBC, EDIT ADDRESS OF DIGITAL I/O */
        LCDInit(0x204);         /* SBC2486DX digital I/O */

        LCDInstallVideo();

        printf(" 82C55 to LCD Interface, Micro/sys Inc.\n ");

        LCDSetCursor(2, 2); /* position cursor on bottom row second column */

	for(;;)
	{
		ch = getch();                /* wait for a keystroke */
                putchar(ch);                 /* send character to LCD */
	}
}
