/*************************************************************
 *      DEMOLIB.C                                            *
 *      5/24/99                                              *
 *                                                           *
 *      (c)1999 Micro/sys, Inc.                              *
 *      Glendale, CA                                         *
 *                                                           *
 *      This file contains the routines that show how to     * 
 *      utilize the LCD8255 function calls to access LCD.    *
 *                                                           *
 *      The demo will initialize the LCD interfaced to       *
 *      the 82C55.  A sign-on message will appear on the     *
 *      LCD.  All keyhits on the keyboard will then be       *
 *      echoed to the LCD unit.                              *
 *                                                           * 
 *      To compile this demo using a microsoft compiler:     *
 *        > cl DEMOLIB.C LCD8255S.LIB                        *
 *                                                           *
 *************************************************************/
#include <stdio.h>
#include "LCD8255.h"

void main()
{
	int ch;

        /* TO RUN ON ANOTHER MICRO/SYS SBC, EDIT ADDRESS OF DIGITAL I/O */
        LCDInit(0x204);         /* SBC2486DX Digital I/O */

        LCDPuts(" 82C55 to LCD Interface, Micro/sys Inc.\n ");

        LCDSetCursor(2, 2); /* position cursor on bottom row second column */

        delay_CONTROL(100);
        LCDPuts("This is a 40-character LCD display.");
        delay_CONTROL(100);
        LCDClearline(1);
        delay_CONTROL(100);
        LCDScroll();
        delay_CONTROL(100);
        LCDClearline(2);
        delay_CONTROL(100);

        LCDSetCursor(2, 1); /* position cursor on top row second column */
        LCDPuts("82C55 to LCD Interface, Micro/sys Inc.\n ");

        LCDSetCursor(2, 2); /* position cursor on bottom row second column */

        for(;;)
        {
              ch = getch();           /* wait for a keystroke */
              LCDPutc(ch);            /* send character to LCD */
        }
}
