/**********************************************************
 *      PRINTER DRIVER for 82C55 Digital I/O              *
 *      SW4057                                            *
 *      REV 1.00                                          *
 *      5/24/99                                           *
 *                                                        *
 *      (c)1999 Micro/sys, Inc.                           *
 *      Glendale, CA                                      *
 *                                                        *
 *      This file is the PRN8255 header file.             *
 **********************************************************/

/* USER FUNCTION PROTOTYPES */
void    LPTInit(int baseaddr);
void    (interrupt far *old_vector)(void);
void    interrupt far LPTInt17io();
void    LPTRedirect();
void    LPTRestore();

/* offset from DIOBASE base address */
#define DIOPORTA        0
#define DIOPORTB        1
#define DIOPORTC        2
#define DIOCMD          3

/* 8255 port directions - These may have to be redefined */
/* depending upon the direction requirements of PORTB    */
#define PORTAIN         0x91    /* PORTA in, PORTB out, PORTCLOW in, PORTCHI out */
#define PORTAOUT        0x81    /* PORTA out, PORTB out, PORTCLOW in, PORTCHI out */ 

/* I/O SIGNAL DELAY VALUES */
#define DELAY_VALUE      2      /* 110ms control signal delay */

/* command register bit definitions in 8255 */
#define STROBE         0x01    /* Port B, bit 0 */
#define INIT           0x02    /* Port B, bit 1 */
#define BUSY           0x02    /* Port C, bit 1 */

/* status bit definitions for INT 0x17 */
#define NOTBUSY        0x80
#define ACK            0x40
#define NOPAPER        0x20
#define SELECT         0x10
#define IOERR          0x08
#define TIMEOUT        0x01

#define LPT0           0x00
#define LPT1           0x01
#define LPT2           0x02

#define HIGH           1
#define LOW            0
