/***************************************************************
 *      PRINTER DRIVER for 82C55 Digital I/O                   *
 *      SW4057                                                 *
 *      REV 1.00                                               *
 *      6/1/99                                                 *
 *                                                             *
 *      (c)1999 Micro/sys, Inc.                                *
 *      Glendale, CA                                           *
 *                                                             *
 *      This file contains the routines used to access         *
 *      a parallel printer port interfaced to an 82C55.        *
 ***************************************************************/
#include <stdio.h>
#include <bios.h>
#include <dos.h>
#include "LPT8255.h"

/**********************************************************
 *    LPTRedirect()                                       *
 *                                                        *
 *    This function will redirect the INT17 interrupt     *
 *    to the the 82C55 I/O port instead of the LPT port.  *
 **********************************************************/
void LPTRedirect()
{
        old_vector = _dos_getvect(0x17);
        _dos_setvect(0x17, LPTInt17io);
}


/**********************************************************
 *    LPTRestore()                                        *
 *                                                        *
 *    This function will restore the INT17 interrupt      *
 *    back to the LPT port instead of the 82C55 I/O.      *
 **********************************************************/
void LPTRestore()
{
        _dos_setvect(0x17, old_vector);
}

